#!/bin/ksh

DIRS="/opt/sfw /usr/local /opt/csw /opt/local $HOME"

if [ "$#" != "1" ]
then
	exit 1
fi

for d in $DIRS; do
	if [ -f $d/include/ncurses.h -a -x $d/lib/libncurses.so ]
	then
		cflags="-I$d/include"
		lflags="-L$d/lib -R$d/lib -lncurses"
		break
	fi
	if [ -f $d/include/ncurses/ncurses.h -a -x $d/lib/libncurses.so ]
	then
		cflags="-I$d/include -I$d/include/ncurses"
		lflags="-L$d/lib -R$d/lib -lncurses"
		break
	fi
done

case $1 in
	-c) echo ${cflags:="-DUSECURSES"} ;;
	-l) echo ${lflags:="-lcurses"} ;;
	*) exit 1 ;;
esac

