/*
 * Copyright 2006, Thomas Maier-Komor
 */

#ifndef USERSTAT_H
#define USERSTAT_H

#include <sys/time.h>
#include <sys/types.h>

typedef struct userstat_s {
	unsigned long nproc, nlwp, rss, size;
	unsigned long oncpu, sleeping, runnable, zombie, stopped;
	double pctcpu, pctmem;
	timestruc_t time;
	uid_t uid;
	char *username;
	struct userstat_s *next;
} userstat_t;

extern userstat_t *get_procinfo(void);
extern void set_sort_by_pcpu(void);
extern void set_sort_by_nproc(void);
extern void set_sort_by_rss(void);
extern void set_sort_by_size(void);
extern void set_sort_by_time(void);
extern void set_sort_by_user(void);
extern userstat_t *sort_users(userstat_t *);

#endif
